# cubrid_num_fields

(PECL CUBRID >= 8.3.0)

cubrid_num_fields — Return the number of columns in the result set

### Description

cubrid_num_fields ( resource `$result` ) : int

This function returns the number of columns in the result set, on success, or it returns FALSE on failure.

### Parameters

`result`

  `result` comes from a call to cubrid_execute(), cubrid_query() and cubrid_prepare()

### Return Values

Number of columns, on success.

-1 if SQL sentence is not SELECT.

`FALSE` when process is unsuccessful.

### Examples

Example #1 cubrid_num_fields() example

`<?php
$conn = cubrid_connect("localhost", 33000, "demodb");
$req = cubrid_execute($conn, "SELECT * FROM code");
$row_num = cubrid_num_rows($req);
$col_num = cubrid_num_fields($req);
printf("Row Num: %d\nColumn Num: %d\n", $row_num, $col_num);
cubrid_disconnect($conn);
?>`

The above example will output:

    Row Num: 6
    Column Num: 2